Broken performance between gst 1.10.0 and gst 1.14.4

cancel
Showing results for 
Search instead for 
Did you mean: 

Broken performance between gst 1.10.0 and gst 1.14.4

374 Views
scapig
Contributor I

I have an embedded device, based on "apalis-imx6" board.

Previously, I had an yocto Linux BSP image based on a "pyro" layer with the GStreamer v1.10.0.

using following pipeline to see the web-camera stream:

gst-launch-1.0 v4l2src ! image/jpeg,width=1920,height=1080,framerate=30/1 ! imxvpudec ! imxipuvideosink sync=false

I had the CPU load ~8 %

But, right now, after updating to the yocto layer "thud", with the GStreamer v1.14.4

I had the CPU load ~45%

A degradation is about 5-6 times... that is not acceptable.

root@apalis-imx6:~# gst-inspect-1.0 imxvpudec
Factory Details:
Rank primary + 1 (257)
Long-name Freescale VPU video decoder
Klass Codec/Decoder/Video
Description hardware-accelerated video decoding using the Freescale VPU engine
Author Carlos Rafael Giani dv@pseudoterminal.org

Plugin Details:
Name imxvpu
Description video en- and decoder elements using the Freescale i.MX VPU
Filename /usr/lib/gstreamer-1.0/libgstimxvpu.so
Version 0.13.0
License LGPL
Source module gstreamer-imx
Binary package Unknown package release
Origin URL Unknown package origin

root@apalis-imx6:~# gst-inspect-1.0 v4l2src
Factory Details:
Rank primary (256)
Long-name Video (video4linux2) Source
Klass Source/Video
Description Reads frames from a Video4Linux2 device
Author Edgard Lima edgard.lima@gmail.com, Stefan Kost ensonic@users.sf.net

Plugin Details:
Name video4linux2
Description elements for Video 4 Linux
Filename /usr/lib/gstreamer-1.0/libgstvideo4linux2.so
Version 1.14.4
License LGPL
Source module gst-plugins-good
Source release date 2018-10-02
Binary package GStreamer Good Plug-ins source release
Origin URL Unknown package origin

root@apalis-imx6:~# gst-inspect-1.0 --version
gst-inspect-1.0 version 1.14.4
GStreamer 1.14.4

UPD: Also I have created a bug: Unacceptable performance degradation between gst v1.10.0 and v1.14.4 · Issue #232 · Freescale/gstrea... 

So, is any workaround to fix this issue?

Labels (1)
0 Kudos
1 Reply

240 Views
igorpadykov
NXP TechSupport
NXP TechSupport

Hi Denis

gstreamer-imx plugins are community plugins not supported by nxp, issue

may be posted on https://github.com/Freescale/gstreamer-imx/issues

Alternatively one van try nxp gst1.0-plugins-fsl - i.MX Gstreamer 1.0 Plugin 

Documentation can be found on

i.MX Software | NXP 

Best regards
igor
-----------------------------------------------------------------------------------------------------------------------
Note: If this post answers your question, please click the Correct Answer button. Thank you!
-----------------------------------------------------------------------------------------------------------------------

0 Kudos